/***************************************************************************
                          level0.h  -  description
                             -------------------
    begin                : Tue Nov 26 2002
    copyright            : (C) 2002 by David Brokenshire
    email                : brokenshire@sfu.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LEVEL0_H
#define LEVEL0_H

#include "level.h"


//nothing really

/*! This class is responsible for the lowest level of actions. It actually
    produces SoccerCommands and sends enqueues them to be sent to the server.
    This level mainly uses the methods of UvATrilearn 2001/2002, though some
    are modified for our uses.
*/
class Level0 : public Level
{
public: 
  Level0(Player* thePlayer);
  virtual ~Level0();
  virtual int execute();
};

#endif
