/***************************************************************************
                          feature.h  -  description
                             -------------------
    begin                : Tue Nov 19 2002
    copyright            : (C) 2002 by David Brokenshire
    email                : brokenshire@sfu.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FEATURE_H
#define FEATURE_H

#include <string>

using namespace std;

/**
  *@author David Brokenshire
    The Feature class is used to pass inforamtion from one layer to the next.  A feature
    includes some data that a layer has computed, and a meaningful way of referring to that
    data (a name?). The name should be meaningful to the program, it would be nice if it was
    meaningful to people as well.  The could potentially be implemented using templates?
  */


class Feature {
private:
  string theIdentifier;

public:

  Feature();


  string getIdentifier();
  void setIdentifier(string identifier);
};


#endif
